#*******************************************************************************
#**  This file is part of Pecunia.                                           ***
#**                                                                          ***
#**  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2023                        ***
#**  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
#**                                                                          ***
#**  This program is free software: you can redistribute it and/or modify it ***
#**  under the terms of the GNU Lesser General Public License as published   ***
#**  by the Free Software Foundation, either version 3 of the License, or    ***
#**  (at your option) any later version.                                     ***
#**                                                                          ***
#**  This program is distributed in the hope that it will be useful, but     ***
#**  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
#**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
#**  See the GNU Lesser General Public License for more details.             ***
#**                                                                          ***
#**  You should have received a copy of the GNU Lesser General Public License***
#**  along with this program. If not, see <http:/www.gnu.org/licenses/>.     ***
#*******************************************************************************

%define so_number	0

Name:			pecunia
Version:		%{getenv:BINARY_VERSION}
Release:		%{getenv:PACKAGE_RELEASE}%distsuffix%dist
Summary:		C++ ISO-4217 Currency Library
Source0:		https:/packaging.schneiderman.me/binaries/%{name}-%{version}.tar.gz
URL:			http:/www.schneiderman.me/pages/%{name}.html

Group:			Development/C++
License:		LGPLv3+


%description
A C++ library for working with currencies using the ISO-4217 standard.
The monetary representation is in a fixed size and the operations
between difference currencies is seamlessly supported.


%package devel
Summary: Development headers
Requires: %{name}
BuildArch: noarch
%description devel
Provides the headers needed for development.


%prep
%setup -q -a 0


%build
%cmake \
	-DLIB_INSTALL_DIR=%{_libdir}
%if 0%{?cmake_build:1}
	%cmake_build
%else
	cd %_build
	%make_build
%endif


%install
%if 0%{?cmake_install:1}
	%cmake_install
%else
	cd %_build
	%make_install
%endif


%files
%doc ChangeLog CREDITS
%{_libdir}/libpecunia.so
%{_libdir}/libpecunia.so.%{version}
%{_libdir}/libpecunia.so.%{so_number}

###
### Devel
###
%files devel
%{_includedir}/pecunia/Algorithm.hpp
%{_includedir}/pecunia/Codes.h
%{_includedir}/pecunia/Conversion.h
%{_includedir}/pecunia/FloatingPoint.h
%{_includedir}/pecunia/Information.h
%{_includedir}/pecunia/Math.h
%{_includedir}/pecunia/Money.h
%{_includedir}/pecunia/MoneyManip.h
%{_includedir}/pecunia/MoneySize.hpp
%{_includedir}/pecunia/MoneyTypes.h
%{_includedir}/pecunia/Rounders.h
%{_includedir}/pecunia/SetUp.h
%{_includedir}/pecunia/pecunia_export.h
%{_libdir}/cmake/pecunia/pecuniaConfig.cmake
%{_libdir}/cmake/pecunia/pecuniaTargets-*.cmake
%{_libdir}/cmake/pecunia/pecuniaTargets.cmake
%{_libdir}/cmake/pecunia/pecuniaVersion.cmake


%changelog
* %{getenv:BUILD_TIME} John Schneiderman <JohnMS@member.fsf.org> %{version}-%{release}
- Version packaged.

